table.insert( actions,
{
	id          = "ASCENDANT_FIREBALL",
	name 		= "ascendant fireball",
	description = "The gods have angered you.",
	sprite 		= "mods/spell pack/files/actions/ascendant.png",
	sprite_unidentified = "mods/spell pack/files/actions/unidentified.png",
	type 		= ACTION_TYPE_PROJECTILE,
	spawn_level                       = "1,2,3,4,5", 
	spawn_probability                 = "1,1,1,1,1",
	price = 150,
	mana = 200,
	--max_uses = -1,
	action 		= function()
		add_projectile("mods/spell pack/files/actions/ascendant_fireball.xml")
		c.fire_rate_wait = c.fire_rate_wait +50.0
		c.screenshake = c.screenshake + 20.0
		c.damage_critical_chance = c.damage_critical_chance + 0.0
		c.damage_critical_multiplier = c.damage_critical_multiplier + 0.1
		shot_effects.recoil_knockback = shot_effects.recoil_knockback + 10
	end,
})

table.insert( actions,
{
	id          = "CHAIN_LIGHTNING",
	name 		= "chain lightning",
	description = "A long range lightning strike, with a trigger",
	sprite 		= "mods/spell pack/files/actions/light_chain.png",
	sprite_unidentified = "mods/spell pack/files/actions/unidentifiedlight.png",
	type 		= ACTION_TYPE_PROJECTILE,
	spawn_level                       = "2,3,4,5", -- LIGHTNING
	spawn_probability                 = "2,2,2,3", -- LIGHTNING
	price = 250,
	mana = 25,
	--max_uses = 30,
	custom_xml_file = "data/entities/misc/custom_cards/electric_charge.xml",
	action 		= function()
		c.fire_rate_wait = c.fire_rate_wait + 5
		shot_effects.recoil_knockback = 40.0
		add_projectile_trigger_hit_world("mods/spell pack/files/actions/light_chain.xml", 1)
	end,
})

table.insert( actions,
{
	id          = "SHARD_SHOT",
	name 		= "Shardshot",
	description = "A gun works too.",
	sprite 		= "mods/spell pack/files/actions/shardshot.png",
	sprite_unidentified = "mods/spell pack/files/actions/unidentifiedshard.png",
	type 		= ACTION_TYPE_PROJECTILE,
	spawn_level                       = "1,1,1,1,1",
	spawn_probability                 = "1,1,1,1,1",
	price = 150,
	mana = 5,
	--max_uses = -1,
	action 		= function()
		add_projectile("mods/spell pack/files/actions/shardshot.xml")
		add_projectile("mods/spell pack/files/actions/shardshot.xml")
		add_projectile("mods/spell pack/files/actions/shardshot.xml")
		c.fire_rate_wait = c.fire_rate_wait -0.5
		c.screenshake = c.screenshake + 4.0
		c.damage_critical_chance = c.damage_critical_chance + 0.0
		c.damage_critical_multiplier = c.damage_critical_multiplier + 0.1
		shot_effects.recoil_knockback = shot_effects.recoil_knockback + 10
	end,
})

table.insert( actions,
{
	id          = "FIRE_SKULL",
	name 		= "Screeching skull",
	description = "Find new friends, meet new creatures, little one.",
	sprite 		= "mods/spell pack/files/actions/fireskull.png",
	sprite_unidentified = "mods/spell pack/files/actions/unidentifiedskull.png",
	type 		= ACTION_TYPE_PROJECTILE,
	spawn_level                       = "1,2,3,4,5", 
	spawn_probability                 = "1,1,1,1,1",
	price = 150,
	mana = 75,
	--max_uses = -1,
	action 		= function()
		add_projectile("mods/spell pack/files/actions/FIRE_SKULL.xml")
		c.fire_rate_wait = c.fire_rate_wait +3.0
		c.screenshake = c.screenshake + 20.0
		c.damage_critical_chance = c.damage_critical_chance + 0.0
		c.damage_critical_multiplier = c.damage_critical_multiplier + 0.1
		shot_effects.recoil_knockback = shot_effects.recoil_knockback + 10
	end,
})

table.insert( actions,
{
	id          = "INSECT_CLOAK",
	name 		= "insect cloak",
	description = "Parasites and vermin I have in abundance.",
	sprite 		= "mods/spell pack/files/actions/insectcloak.png",
	sprite_unidentified = "mods/spell pack/files/actions/unidentifiedfly.png",
	type 		= ACTION_TYPE_PROJECTILE,
	spawn_level                       = "1,2,3,4,5", 
	spawn_probability                 = "1,1,1,1,1",
	price = 150,
	mana = 10,
	--max_uses = -1,
	action 		= function()
		add_projectile("mods/spell pack/files/actions/INSECT_CLOAK.xml")
		c.fire_rate_wait = c.fire_rate_wait +0.0
		c.damage_critical_chance = c.damage_critical_chance + 0.0
		c.damage_critical_multiplier = c.damage_critical_multiplier + 0.1
	end,
})

table.insert( actions,
{
	id          = "CRYSTAL_SHOT",
	name 		= "crystal shot",
	description = "Red laser not included",
	sprite 		= "mods/spell pack/files/actions/crystal_shot.png",
	sprite_unidentified = "mods/spell pack/files/actions/unidentifiedcrystal.png",
	type 		= ACTION_TYPE_PROJECTILE,
	spawn_level                       = "2,3,4,5", -- LIGHTNING
	spawn_probability                 = "1,1,1,2", -- LIGHTNING
	price = 250,
	mana = 25,
	--max_uses = 30,
	action 		= function()
		c.fire_rate_wait = c.fire_rate_wait +100.0
		shot_effects.recoil_knockback = 400.0
		add_projectile("mods/spell pack/files/actions/crystal_shot.xml")
	end,
})

table.insert( actions,
{
	id          = "INSECT_RAY",
	name 		= "swarm shot",
	description = "infested magic",
	sprite 		= "mods/spell pack/files/actions/swarm_shot.png",
	sprite_unidentified = "mods/spell pack/files/actions/unidentifiedswarmshot.png",
	type 		= ACTION_TYPE_MODIFIER,
	spawn_level                       = "2,3,4,5", -- LIGHTNING
	spawn_probability                 = "1,1,1,1", -- LIGHTNING
	price = 250,
	mana = 25,
    max_uses = 15,
	action 		= function()
			c.extra_entities = c.extra_entities .. "mods/spell pack/files/actions/load_entity.xml,"
			draw_actions( 1, true )
		end,
})

table.insert( actions,
{
	id          = "CRUMBLE_SHOT",
	name 		= "Crumbling shot",
	description = "your magic feels...heavy?",
	sprite 		= "mods/spell pack/files/actions/Crumbleshot.png",
	sprite_unidentified = "mods/spell pack/files/actions/unidentifiedcrumble.png",
	type 		= ACTION_TYPE_MODIFIER,
	spawn_level                       = "2,3,4,5", -- LIGHTNING
	spawn_probability                 = "1,1,1,1", -- LIGHTNING
	price = 250,
	mana = 25,
    max_uses = 15,
	action 		= function()
			c.extra_entities = c.extra_entities .. "mods/spell pack/files/actions/crumbling_shot.xml,"
			draw_actions( 1, true )
		end,
})

	table.insert( actions,
{
	id          = "MUSHROOM_CLOUD",
	name 		= "Mushroom cloud",
	description = "Keep your enemies close. (to eachother)",
	sprite 		= "mods/spell pack/files/actions/mushroom_cloud.png",
	sprite_unidentified = "mods/spell pack/files/actions/unidentifiedmushroom.png",
	type 		= ACTION_TYPE_STATIC_PROJECTILE,
	spawn_level                       = "1,2,3,4", -- FREEZE_FIELD
	spawn_probability                 = "2,2,2,2", -- FREEZE_FIELD
	price = 200,
	mana = 50,
	max_uses = 2,
	action 		= function()
			add_projectile("mods/spell pack/files/actions/mushroomcloud.xml")
			c.fire_rate_wait = c.fire_rate_wait + 15
		end,
})

table.insert( actions,
{
	id          = "LUCKY_KNIFE",
	name 		= "Summon lucky knife",
	description = "Oh, there it is!",
	sprite 		= "mods/spell pack/files/actions/knife.png",
	sprite_unidentified = "mods/spell pack/files/actions/unidentifiedknife.png",
	type 		= ACTION_TYPE_PROJECTILE,
	spawn_level                       = "1,2,3,4,5", 
	spawn_probability                 = "2,2,1,1,1",
	price = 150,
	mana = 1,
	max_uses = 1,
	action 		= function()
		add_projectile("mods/spell pack/files/actions/knife_pickupable.xml")
		c.fire_rate_wait = c.fire_rate_wait +50.0
		c.screenshake = c.screenshake + 20.0
		c.damage_critical_chance = c.damage_critical_chance + 100
		c.damage_critical_multiplier = c.damage_critical_multiplier + 0.1
		shot_effects.recoil_knockback = shot_effects.recoil_knockback + 10
	end,
})

table.insert( actions,
{
	id          = "STICKY_BOMB",
	name 		= "Sticky glob",
	description = "ew, i think i got some on me",
	sprite 		= "mods/spell pack/files/actions/sticky.png",
	sprite_unidentified = "mods/spell pack/files/actions/unidentifiedsticky.png",
	type 		= ACTION_TYPE_PROJECTILE,
	spawn_level                       = "1,2,3,4,5", 
	spawn_probability                 = "1,1,1,1,1",
	price = 150,
	mana = 30,
	-- max_uses = 1,
	action 		= function()
		add_projectile("mods/spell pack/files/actions/mine.xml")
		c.fire_rate_wait = c.fire_rate_wait +50.0
		c.screenshake = c.screenshake + 20.0
		c.damage_critical_chance = c.damage_critical_chance + 0
		c.damage_critical_multiplier = c.damage_critical_multiplier + 0.1
		shot_effects.recoil_knockback = shot_effects.recoil_knockback + 10
	end,
})

table.insert( actions,
{
        id          = "SUFFOCATION_FIELD",
        name        = "Circle of suffocation",
        description = "freedom to some.",
        sprite      = "mods/spell pack/files/actions/suffocation.png",
        sprite_unidentified = "data/ui_gfx/gun_actions/freeze_field_unidentified.png",
        type         = ACTION_TYPE_STATIC_PROJECTILE,
        spawn_level                       = "0,2,4,5", -- FREEZE_FIELD
        spawn_probability                 = "1,1,1,1", -- FREEZE_FIELD
        price = 200,
        mana = 50,
        max_uses = 5,
        action         = function()
            add_projectile("mods/spell pack/files/actions/circleofsuffocation.xml")
            c.fire_rate_wait = c.fire_rate_wait + 15
        end,
    })
